## org.eclipse.uml2.uml
Class UMLPlugin.DynamicPackageRegistryReader

    java.lang.Object
      org.eclipse.emf.ecore.plugin.RegistryReader
          org.eclipse.uml2.uml.UMLPlugin.PackageRegistryReader
              org.eclipse.uml2.uml.UMLPlugin.DynamicPackageRegistryReader

Enclosing class:
  UMLPlugin

    protected static class UMLPlugin.DynamicPackageRegistryReader

extends UMLPlugin.PackageRegistryReader

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.plugin.RegistryReader
`org.eclipse.emf.ecore.plugin.RegistryReader.PluginClassDescriptor`

Field Summary

Fields inherited from class org.eclipse.uml2.uml.UMLPlugin.PackageRegistryReader
`ATT_LOCATION, ATT_URI, ePackageNsURIToProfileLocationMap, TAG_PROFILE`

Fields inherited from class org.eclipse.emf.ecore.plugin.RegistryReader
`pluginRegistry, TAG_DESCRIPTION`

Constructor Summary
`protected` `UMLPlugin.DynamicPackageRegistryReader()`
`protected` `UMLPlugin.DynamicPackageRegistryReader(java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI> ePackageNsURIToProfileLocationMap)`

Method Summary

Methods inherited from class org.eclipse.uml2.uml.UMLPlugin.PackageRegistryReader
`readElement`

Methods inherited from class org.eclipse.emf.ecore.plugin.RegistryReader
`logError, logMissingAttribute, readElement, readRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLPlugin.DynamicPackageRegistryReader

    protected UMLPlugin.DynamicPackageRegistryReader()

### UMLPlugin.DynamicPackageRegistryReader

    protected UMLPlugin.DynamicPackageRegistryReader(java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI> ePackageNsURIToProfileLocationMap)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.